Trying to get 2.1 on a 3G that currently has 2.2

Discussion in 'iPhone' started by 3g-er, Dec 23, 2008.

  1. 3g-er macrumors newbie

    Joined:
    Dec 23, 2008
    Location:
    South Jordan
    #1
    So I have been reading about the unlock that is coming, and that it will only work for 2.1. I just bought a (jailbroken) 3G iPhone that has 2.2 on it, I tried to install 2.1 through quickpwn but it gave me an error. I had to reinstall 2.2 just to gain access to the phone again. Is there any way I can get my phone ready to be unlocked? Or is there another unlock available for a 3G? I have T-Mobile, and all I want is the EDGE network. I don't necessearily care about 3G.
     
  2. mcmanus7 macrumors 6502a

    Joined:
    Oct 30, 2008
    #2
    if you re-installed 2.2 via itunes then you will be unable to unlock the phone via the dev teams unlocking software that comes out dec 31
     
  3. 3g-er thread starter macrumors newbie

    Joined:
    Dec 23, 2008
    Location:
    South Jordan
    #3
    I understand that. That is why I am asking if I can restore the 2.1 to allow my iPhone to be unlocked with the Dev-Teams software. I tried to restore it, but was unable to complete the process.
     
  4. sergiuria macrumors 6502a

    sergiuria

    Joined:
    Oct 21, 2008
    Location:
    Near a bunch of T-Rex
    #4
    No, because when you updated to 2.2, you updated the baseband. Baseband is not downgradable, it doesn't matter what you do. You won't be able to unlock it.
     
  5. 3g-er thread starter macrumors newbie

    Joined:
    Dec 23, 2008
    Location:
    South Jordan
    #5
    Bogus

    I like the technology that Apple puts out there, but let's face it, they don't get nearly as bad a rap as they deserve sometimes. If Microsoft were to do something like this, their stocks would drop off the map. Yet somehow Apple gets away with it.
     
  6. sergiuria macrumors 6502a

    sergiuria

    Joined:
    Oct 21, 2008
    Location:
    Near a bunch of T-Rex
    #6
    Steve Jobs always gets away with it.. God knows how
     
  7. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #7
    they might have updated it through pwnage tool. What is it's baseband? go under settings and look at "modem firmware" and that should be it
     
  8. 3g-er thread starter macrumors newbie

    Joined:
    Dec 23, 2008
    Location:
    South Jordan
    #8
    Yeah, the Modem Firmware is 02.28.00. I am kind of new to the whole apple technology, so I just don't understand how completely resetting the phone and re-installing the downloaded 2.1 I have doesnt work?
     
  9. fishmoose macrumors 68000

    Joined:
    Jul 1, 2008
    Location:
    Sweden
    #9
    Sorry to bring the bad news but your out of luck, re-installing the firmware dosen't downgrade the baseband no known way of downgrading the baseband yet.
     

Share This Page